> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/68.-mutation-refresh-vectoranalysismap-statistics.md).

# 68. Mutation: Refresh "VectorAnalysisMap" Statistics

Refreshes statistics for Zones map. Can be used when the Merge/Split of Zones is done on the UI.

{% hint style="info" %}
Check <https://geopard.tech/blog/merge-and-split-zones/> article.&#x20;
{% endhint %}

Mutation to refresh statistics without saving them in the database. The response contains the recalculated statistics as JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/68.-mutation-refresh-vectoranalysismap-statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
